Index: apc_compile.c
===================================================================
--- apc_compile.c	(revision 327606)
+++ apc_compile.c	(working copy)
@@ -663,9 +663,12 @@
 {
     int i = 0;
     apc_pool* pool = ctxt->pool;
+    zend_class_entry *parent = NULL;
 
     assert(src != NULL);
 
+    parent = src->parent;
+
     if (!dst) {
         CHECK(dst = (zend_class_entry*) apc_pool_alloc(pool, sizeof(*src)));
     }
@@ -812,9 +815,12 @@
     dst->default_static_members_count = src->default_static_members_count;
 
     if (src->default_static_members_count) {
+        int inherited_static_members_count = parent ? parent->default_static_members_count : 0;
+        
         CHECK(dst->default_static_members_table = (zval**) apc_pool_alloc(pool, (sizeof(zval*) * src->default_static_members_count)));
         for (i = 0; i < src->default_static_members_count; i++) {
-            if (src->default_static_members_table[i]) {
+            /* do not copy inherited static members - this is the same as my_check_copy_static_member, but simpler */
+            if (src->default_static_members_table[i] && i >= inherited_static_members_count) {
                 my_copy_zval_ptr(&dst->default_static_members_table[i], (const zval**)&src->default_static_members_table[i], ctxt TSRMLS_CC);
             } else {
                 dst->default_static_members_table[i] = NULL;
